Bug 461470 - Idle timer causes hibernate during resume from suspend
Idle timer causes hibernate during resume from suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-09-08 07:52 EDT by Jan Kratochvil
Modified: 2009-11-06 11:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 11:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Settings screenshot. (13.34 KB, image/png)
2008-09-08 07:52 EDT, Jan Kratochvil
no flags Details
Log of double suspend (27.15 KB, text/plain)
2008-12-17 18:15 EST, Tim Niemueller
no flags Details

  None (edit)
Description Jan Kratochvil 2008-09-08 07:52:28 EDT
Created attachment 316073 [details]
Settings screenshot.

Description of problem:
Sometimes I suspend the machine and leave it this way for some time.  During resume I shortly see the system running but immediately it starts to hibernate.  I have to start/resume the hibernated state and then everything is fine.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.23.91-1.fc10.x86_64

How reproducible:
Problem for the last months (year?), saw the reason now in the logs.

Steps to Reproduce:
1. Set in the preferences:
  On Battery Power -> Put computer to sleep when inactive for: -> 11 minutes
2. Unplug the AC power
2. Suspend (close the computer)
3. Leave the computer suspended for an hour
4. Open the computer (resume it)

Actual results:
suspend:
Sep  4 13:38:46 host0 gnome-power-manager: (lace) Suspending computer. Reason: The lid has been closed, and the ac adapter removed (and gconf is okay).
resume:
Sep  4 14:37:17 host0 gnome-power-manager: (lace) Resuming computer
hibernate:
Sep  4 14:37:22 host0 gnome-power-manager: (lace) Hibernating computer. Reason: System idle.
resume (reboot):
Sep  4 14:40:01 host0 gnome-power-manager: (lace) Resuming computer

Expected results:
suspend:
Sep  4 13:38:46 host0 gnome-power-manager: (lace) Suspending computer. Reason: The lid has been closed, and the ac adapter removed (and gconf is okay).
resume:
Sep  4 14:37:17 host0 gnome-power-manager: (lace) Resuming computer

Additional info:
Using now:
  On Battery Power -> Put computer to sleep when inactive for: -> Never
and everything works fine.
Comment 1 Bug Zapper 2008-11-25 21:59:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Niemueller 2008-12-17 04:44:02 EST
I experienced the double-sleep problem even with the workaround you mentioned (this is my preferred setting anyway). If have no such log entries that indicate why it is going to sleep again. I'll give it another try (didn't suspend for a while now) and report.
Comment 3 Tim Niemueller 2008-12-17 18:15:57 EST
Created attachment 327291 [details]
Log of double suspend

Tried again. It happens even if I wake it up immediately after it was put to sleep. Attached logfile, radeon loaded the microcode right before it went to sleep. But this is not another radeon thing, is it!?
Comment 4 Richard Hughes 2009-08-20 07:38:41 EDT
Still happens with F11?
Comment 5 Tim Niemueller 2009-08-20 12:51:38 EDT
Yes, with F11 it now usually takes three wakeups in a row until it does not immediately suspend again. I'm using suspend to RAM, after waking it up I see the screen saver, sometimes I can even start typing before it then goes to sleep again. It's a yum-upgraded system, so I don't know if that could have any influence?
Comment 6 Tim Niemueller 2009-09-29 06:15:32 EDT
Since a few weeks the problem is gone (basically a short while after the last message). After installing some upgrades the described problem was fixed (resume does not suspend again after waking up) and even the gnome-screensaver password prompt works again on first try (first try took ages before, even with correct password, now it works as expected). Don't know what specific update fixed it, but it is fixed. Thanks!
Comment 7 TK009 2009-10-29 11:29:38 EDT
@ Jan

Has this issue been resolved for you? Like to close this one if possible.


TK009
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Jan Kratochvil 2009-11-06 11:09:04 EST
Unaware as I no longer use Suspend as it was crashing too much probably due to some BIOS of my T60.  Hibernate works OK.

Note You need to log in before you can comment on or make changes to this bug.